Bug 527786 - No Sound From Flash Plugin in Any Browser
Summary: No Sound From Flash Plugin in Any Browser
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-07 17:31 UTC by Eli Wapniarski
Modified: 2009-10-14 17:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-12 22:13:07 UTC
Type: ---


Attachments (Terms of Use)

Description Eli Wapniarski 2009-10-07 17:31:39 UTC
Sorry if I've filed this in the wrong place. If I did could you please direct this to the appropriate handler.

I'm using the 64bit version of the Flash-plugin. Unless I rebuild and install the old libflashsupport srpm available from the old Fedora 9 repository I get no sound from the flash plugin. With libflashsupport from the Fedora repo it works great.

To note... If I rebuild the plugin that is available from adobe, I get sound, but it is out of sync with the video.

I've followed the guidelines as closely as possible from Fedoraproject

If there is anything further I can do to help resolve this please let me know.

Comment 1 Eli Wapniarski 2009-10-09 17:24:36 UTC
K... Finally after serveral months struggling with this I finally found the solution....


I followed the guidelines over at 

Which essentially told me to do the following that finally seemed to make pulse audio work correctly over all.


Edit /etc/asound.conf and set the following content:

pcm.pulse {
    type pulse
}
ctl.pulse {
    type pulse
}
pcm.!default {
    type pulse
}
ctl.!default {
    type pulse
}


Edit  /etc/libao.conf and have the content sat to:

default_driver=pulse

Comment 2 Lennart Poettering 2009-10-12 22:13:07 UTC
Sorry, but this makes no sense, since that is mostly equivalent to the default asound.conf we ship anyway, via the hook to /etc/alsa/pulse-default.conf.

If you changed asound.conf in the first place to deviate from our default asound.conf then of course things might break.

Anyway, since this prob is fixed, closing.

Comment 3 Eli Wapniarski 2009-10-13 05:38:34 UTC
Just to let you know that the best to my recollection I did not change the default asound.conf the contents of which are included below. If what is included below and what was previously reported are supposed to be the same then something indeed does not make sense. And it genuinely begs the question why one configuration works and the other does not?

I am trully willing to assist further in nailing down why this occurred if you are willing to persue this further.


#Generated by system-config-soundcard
#If you edit this file, don't run system-config-soundcard,
#all your changes here could be lost.
#HWCONF
#DEV 1
pcm.!default { type plug slave {  pcm "hw:0,1" }}
ctl.!default { type hw card 0 }

Comment 4 Lennart Poettering 2009-10-14 14:23:52 UTC
Uh, that looks as if your system has been upgraded across quite a few versions of fedora? system-config-soundcard is obsolete since quite a few releases and was known to break things.

The normal asound.conf we install by now should look like this:

@hooks [
        {
                func load
                files [
                        "/etc/alsa/pulse-default.conf"
                ]
                errors false
        }
]

Comment 5 Eli Wapniarski 2009-10-14 17:14:46 UTC
Yep... I haven't done a fresh install of Fedora since FC4 or 5 :). I wish it were possible to thank the entire crew for making the upgrades relatively painless.

K.... I will alter my asound.conf with what you've indicated into my asound.conf and let you know.

Thanks for this

Comment 6 Eli Wapniarski 2009-10-14 17:32:52 UTC
K... Seems to be working... Thanks again.


Note You need to log in before you can comment on or make changes to this bug.